<?php
/**
*
* @package WebCHAT
* @version $Id: ajax.php 1 2010-12-15 11:04:54 NeoSonic
* @copyright (c) NeoSonic
*
*/

/**
* @ignore
*/

define('IN_WEBCHAT', true);
//define('DEBUG', true);
$root_path = (defined('ROOT_PATH')) ? ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$user->setup();

$web_root_path = (isset($config['script_path'])) ? $config['script_path'] : '/';

// User logged in?
if(!$user->data['is_registered'])
{
	// Login box...
	exit;
}

if (! $debug = request_var($config['cookie_name'] . "_debug_mode",false,false,true) )
{
	$debug = request_var("debug_mode",false);
}
if ($debug)
{
	$cookie_expire = $user->time_now + 1800;
	$user->set_cookie('debug_mode', true, $cookie_expire);
	define('DEBUG', true);
}

$channel 		= request_var($config['cookie_name'] . "_channel","main",false,true);
$action 		= request_var("action","");

$method = "ajax_$action";

if (function_exists($method))
{
	echo json_encode((object) $method());
}
else
{
	echo json_encode((object) array(
			'error'		=> (object) array('code' => -32601, 'message' => "Method not found.")
	));
}

exit;

/**
*
* GET  sample last_msg_time=&channel=&connection_state_v=
*/
function ajax_update ()
{
	global $db, $config, $user;

	$last_msg_time    =  request_var('last_msg_time',"0");
	$channel          =  request_var('channel',"");
	$connection_state =  request_var('connection_state_v',0);

	if ($channel != '')
	{
		$new_last_msg_time = $last_msg_time;
		$max_execution_time = ini_get('max_execution_time');
		if (isset($max_execution_time))
		{
			$end_time = time() + $max_execution_time - 10;
		}
		else
		{
			$end_time = time() + 20;
		}

		$is_new = FALSE;
		$new_connection_state = $connection_state;
		$ping_check = $config['ping_check'];

		// Check: if connection state changed (or this check disabled), new actions recieved or connection is ended.
		$sql = "";
		do {
			if ($sql == "")
			{
				if ($last_msg_time == "0")
				{
					$sql = "SELECT n.variable, n.nick, n.male, n.datetime, n.type
							FROM (
								SELECT *
								FROM ". ACTIONS_TABLE ." as n
								WHERE	n.channel = 'main'
										OR n.channel = ''
								ORDER BY n.datetime DESC, n.id DESC
								LIMIT 10
								) as n
							ORDER BY n.datetime, n.id";
				}
				else
				{
					$sql = "SELECT n.variable, n.nick, n.male, n.datetime, n.type
							FROM ". ACTIONS_TABLE ." n
							WHERE n.datetime > '$last_msg_time' AND (n.channel = '$channel' OR n.channel = '')
							ORDER BY n.datetime, n.id ASC";
				}
			}
			$result = $db->sql_query($sql);
			$is_new = $db->sql_num_rows($result);

			if ($ping_check)
			{
				$new_connection_state = get_connection_state();
			}

			// Free the CPU.
			if (!$is_new)
			{
				sleep(1);
				clearstatcache();
			}
		} while ((!$ping_check || $new_connection_state == $connection_state) && !$is_new && $end_time >= time());

		// If new actions appeared - add them to array.
		if ($is_new)
		{
			$ready_mess = array();
			$bot_nick = $config['bot_nick'];
			while ($action = $db->sql_fetchrow($result))
			{
				$ready_mess[] = format_message($action, $bot_nick, true);
				if ($action['type'] != 0 && $action['type'] != 1 && $action['type'] != 3 && $last_msg_time != "0")
				{
					$actions[] = array(
						'type'		=> $action['type'],
						'variable'	=> $action['variable'],
						'nick'		=> $action['nick'],
						'male'		=> $action['male']
					);
			}
			$new_last_msg_time = $action['datetime'];
			};
		}

	return array('result' => array(
			'last_msg_time'			=> $new_last_msg_time,
			'connection_state'		=> $new_connection_state,
			'connection_state_s'	=> $user->lang(array("CONNECTION_STATE",$new_connection_state)),
			'messages_array'		=> @$ready_mess,
			'actions_array'			=> @$actions,
			'user_auth'				=> $user->data['auth_state'],
			'user_auth_state'		=> $user->lang(array("AUTH_STATE",$user->data['auth_state']))
		));
	}

	return array('error' => array('code' => -1, 'message' => "Don`t set all varible"));
}

/**
*
* GET  sample body=&channel=&connection_state_v=
*/
function ajax_message_add()
{
	global $user, $config, $db;
	
	$body    			= request_var('body',"",true);
	$channel			= request_var('channel',"",true);
	$connection_state	= request_var('connection_state_v',0);

	if ($body != "" && $channel != "")
	{
		$answer = 1;
		
		if (trim($body))
		{
			if (strlen($body) <= 40000)
			{
				$body = $db->sql_escape(htmlspecialchars_decode(trim($body), ENT_QUOTES));
				$channel = $db->sql_escape(trim($channel));
				// If connection state is active - put message to cf_messages_to_send table. If unactive - put just to cf_actions table.
				if (!$config['ping_check'] || $connection_state != 2)
				{
					$db->sql_query("INSERT INTO ". MESSAGES_TO_SEND_TABLE ." (user, ip, channel, body, datetime, type) VALUES ('{$user->data['nick']}', '{$user->data['ip']}', '$channel', '$body', '".time()."', '0')");
				}
				else
				{
					$db->sql_query("INSERT INTO ". ACTIONS_TABLE ." (`variable`, `nick`, `male`, `channel`, `datetime`, `type`) VALUES ('$body', '{$user->data['nick']}', '{$user->data['male']}', '$channel', '". time() ."', '0')");
				}
			}
			else
			{
				$answer = 2;
			}
		}
		else
		{
			$answer = 0;
		}
		return array('result' => array('answer' => $answer));
	}
	return array('error' => array('code' => -1, 'message' => "Don`t set all varible"));
}

function ajax_optimize_smilies()
{
	//return optimize_smilies();
}

?>
