<?php
/**
* @ignore
*/
if (!defined('IN_WEBCHAT'))
{
	exit;
}

/**
* Permission/Auth class
* @package StalkerVL
*/
class auth
{
	/**
	* Authentication plug-ins is largely down to Sergey Kanareykin, our thanks to him.
	*/
	function login($username, $password, $autologin = false, $admin = 0)
	{
		global $config, $db, $user, $root_path, $phpEx;

		$method = trim(basename($config['auth_method']));
		include_once($root_path . 'includes/auth/auth_' . $method . '.' . $phpEx);

		$method = 'login_' . $method;
		if (function_exists($method))
		{
			$login = $method($username, $password);

			// If the auth module wants us to create an empty profile do so and then treat the status as LOGIN_SUCCESS
			if ($login['status'] == LOGIN_SUCCESS_CREATE_PROFILE)
			{
				// we are going to use the user_add function so include functions_user.php if it wasn't defined yet
				if (!function_exists('user_add'))
				{
					include($root_path . 'includes/functions_user.' . $phpEx);
				}

				if ( $user_id = user_add($login['user_row']))
				{
					$row['user_id'] = $user_id;
					$login = array(
						'status'	=> LOGIN_SUCCESS,
						'error_msg'	=> false,
						'user_row'	=> $row,
					);
				}
				else
				{
					return array(
						'status'	=> LOGIN_ERROR_CREATE_PROFILE,
						'error_msg'	=> 'LOGIN_ERROR_CREATE_PROFILE',
						'user_row'	=> $login,
					);
				}
			}

			// If login succeeded, we will log the user in... else we pass the login array through...
			if ($login['status'] == LOGIN_SUCCESS)
			{
				$old_session_id = $user->session_id;

				$result = $user->session_create($login['user_row']['user_id'], $autologin, $viewonline);

				// Successful session creation
				if ($result === true)
				{

					return array(
						'status'		=> LOGIN_SUCCESS,
						'error_msg'		=> false,
						'user_row'		=> $login['user_row'],
					);
				}

				return array(
					'status'		=> LOGIN_BREAK,
					'error_msg'		=> $result,
					'user_row'		=> $login['user_row'],
				);
			}

			return $login;
		}

		trigger_error('Authentication method not found', E_USER_ERROR);
	}
}

?>
