<?php
/**
* @ignore
*/
if (!defined('IN_WEBCHAT'))
{
	exit;
}

function get_auth_state()
{
	global $db, $user;

	// Getting authorization states.
	$state = 0;

	return $state;
}

function format_message($action, $bot_nick, $is_ajax = false)
{
	global $config, $user;
	$is_from_web = false;
	if ($action['type'] == 0 || $action['type'] == 1 || $action['type'] == 6 || $action['type'] == 8)
	{
    	$body = strip_tags($action['variable']);
    	if ($config['smilies_enabled'])
		{
      		$body = smilies_rep($body);
    	}
    	if ($action['type'] == 0 || $action['type'] == 1)
		{
      		$body = cf_webchat_spec_markup_rep($body);
      		$is_from_web = ($action['nick'] == $bot_nick);
      		if ($is_from_web)
			{
        		$pos = strpos($body, ':');
        		if (strpos($body, ':', $pos))
				{
          			$action['nick'] = substr($body, 0, $pos);
          			$body = substr($body, $pos + 2, strlen($body) - $pos + 2);
        		}
      		}
    	}
  	}
	if ($action['type'] != 6 && $action['type'] != 2)
	{
    	$nick = create_nick($action['nick'], $is_from_web, TRUE);
	}
	else
	{
    	$nick = '<strong>' . $action['nick'] . '</strong>';
  	}
  	$msg_type = "single_message";
  	if ($action['type'] == 1 || $action['type'] == 6 || $action['type'] == 8)
	{
    	$msg_type = "single_system_message";
  	}
	$message = '<div class="' . $msg_type . '"' . (($is_ajax) ? ' style="display: none;"' : '') . '>';
	$message .= ($action['type'] != 1) ? '<span class="msg_time">' . $user->format_date($action['datetime'], "H:i:s") . '</span>' : '';
	switch ($action['type'])
	{
    	case 0: case 1:
      		$message .= $nick . ': ' . $body;
      	break;

	    case 2:
    		$message .= $user->lang(array("LEAVED_CHAT",$action['male']), $nick);
	    break;

		case 3:
      		$message .= $user->lang(array("JOINED_CHAT",$action['male']), $nick);
      	break;

	    case 4:
    		$message .= $user->lang(array("JOINED_CANNEL",$action['male']), $nick);
	    break;

	    case 5:
      		$message .= $user->lang(array("LEAVED_CHANNEL",$action['male']), $nick);
      	break;

    	case 6:
      		if ($body != '')
			{
          		$message .= $user->lang(array("CHANGE_STATE",$action['male']), $nick, $body);
			}
			else
			{
				$message .= $user->lang(array("CLEAN_STATE",$action['male']), $nick);
			}
      	break;

		case 7:
      		$message .= $user->lang(array("CHANGE_SEX",$action['male']), $nick);
      	break;

    	case 8:
			if ($action['variable'] != "")
      		{
				$message .= $user->lang(array("CHANGE_TOPIC",$action['male']), $nick, $action['variable']);
			}
			else
			{
				$message .= $user->lang(array("CLEAR_TOPIC",$action['male']), $nick);
			}
      	break;
  }
  $message .= "</div>";
  return $message;
}

function cf_webchat_spec_markup_rep($body)
{
	global $user, $config;
	$patterns = array(
		'/\[url\=((http|https|ftp):\/\/[^\]]+)\]([^[]+)\[\/url\]/i',
		'/\[url\]((http|https|ftp):\/\/[^[]+)\[\/url\]/i',
		'/\[url\=([^[]+)\]([^[]+)\[\/url\]/i',
		'/\[url\]([^[]+)\[\/url\]/i',
		'/\[image\]/i',
		'/\\n/i',
	);
	$replaces = array(
		'<a href="\1" target="_blank" title="' . $user->lang('LINK_TITLE') . '">\3</a>',
		'<a href="\1" target="_blank" title="' . $user->lang('LINK_TITLE') . '">\1</a>',
		'\2',
		'\1',
		'[ User has inserted an image, images are not supported ]',
		'<br />',
	);

	$body = preg_replace($patterns, $replaces, $body);

	return $body;
}

function smilies_rep($body)
{
	global $root_path, $user;
	$smiles_path = $root_path."/style/smilies/";
	if (file_exists($smiles_path . 'sm_paths.txt') && file_exists($smiles_path . 'sm_symbs.txt') && trim($body) != '')
	{
		$symbs_file = file($smiles_path . 'sm_symbs.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
		$paths_file = file($smiles_path . 'sm_paths.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
		for ($i = 0; $i < count($symbs_file); $i++)
		{
			$cur_smile = trim($symbs_file[$i]);
			if ($cur_smile[0] != "#" && substr($cur_smile, 0, 2) != "#^")
			{
				$pos = strpos($body, $cur_smile);
				while ($pos !== FALSE)
				{
					$image = '<img src="' . $smiles_path . $paths_file[$i] . '" alt="'. $user->lang("Smile") .'" />';
					$body = substr_replace($body, $image, $pos, strlen($cur_smile));
					$offset = $pos + strlen($image);
					$pos = strpos($body, $cur_smile, $offset);
				}
			}
		}
	}

return $body;
}

function create_nick($name, $webicon, $title)
{
	global $user;
	if ($title)
	{
		$title = ' title="' . (($webicon) ? $user->lang('User from web') . ". " : "") . 'Insert nick in the posting input' . '"';
	}
	else
	{
		$title = '';
	}

	return '<a class="nick_paste' . (($webicon) ? " from_web" : "") . '"' . $title . ' onclick="insert_nick(this)">' . $name . '</a>';
}

function get_connection_state()
{
	global $db;
	$ping_time = $db->sql_fetchrow($db->sql_query("SELECT n.value FROM ". SETTINGS_TABLE ." n WHERE n.name = 'ping'"));
	$interrupt_duration = time() - $ping_time['value'];

	if ($interrupt_duration < 30) {
		$connection_state = 0;
	}
	elseif ($interrupt_duration > 30 && $interrupt_duration < 120) {
		$connection_state = 1;
	}
	elseif ($interrupt_duration >= 120) {
		$connection_state = 2;
	}

	return $connection_state;
}

function load_smilies_list()
{
	global $root_path;
	$optim_folder = $root_path."/style/smilies/";
	if (file_exists($optim_folder . 'sm_paths.txt') && file_exists($optim_folder . 'sm_symbs.txt'))
	{
		$symbs_file = file($optim_folder . 'sm_symbs.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
		$paths_file = file($optim_folder . 'sm_paths.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
		$smilies_list = array();
		$c_count = 0;
		$skip_group = FALSE;
		$symb_count = count($symbs_file);
		for ($i = 0; $i < $symb_count; $i++)
		{
			$cur_line = $symbs_file[$i];
			if ($cur_line[0] == "#" && $cur_line[1] != "^")
			{
			// Smilies are limited with two tabs. Too big page load.
				$c_count++;
				$smilies_list[$c_count]["NAME"] = substr($cur_line, 1);
				$smilies_list[$c_count]["ID"]	= $c_count;
				$skip_group = FALSE;
			}
			elseif ($cur_line[1] != "^" && !$skip_group)
			{
				// We are escaping "\" symbols only in pop-up message.
				$alt = str_replace("\"", "&quot;", $cur_line);
				$smilies_list[$c_count]['smile'][] = array(
						'SRC'		=> $paths_file[$i],
						'ALT'		=> $alt,
						'TITLE'		=> $alt,
				);
			}
			else
			{
				$skip_group = TRUE;
			}
		}
	}

	return $smilies_list;
}

function optimize_smilies()
{
	global $root_path;
	$sm_server = $root_path.'/style/smilies/smilies_serv.txt';

	if (file_exists($sm_server))
	{
		$file = file($sm_server, FILE_SKIP_EMPTY_LINES);
		$line_offset = 0;
		while ($file[$line_offset][0] != '[')
		{
			$line_offset++;
		}
		$optim_folder = $root_path.'/style/smilies';
// 	if (!is_dir($optim_folder))
		$sm_paths = fopen($optim_folder . '/sm_paths.txt', "wb");
		$sm_symbs = fopen($optim_folder . '/sm_symbs.txt', "wb");

		for ($i = $line_offset; $i < count($file); $i++)
		{
			$line = trim($file[$i]);
			if ($line != '')
			{
				if ($line[0] != '[') {
					$pattern = "/([^|]+)\|\"(.+)\"/";
					preg_match($pattern, $line, $matches);
					//die(print_r($matches,true));
					$path = str_replace("\\", DIRECTORY_SEPARATOR, $matches[1]) . "\r\n";
					$smile = $matches[2] . "\r\n";
					fwrite($sm_paths, $path);
					fwrite($sm_symbs, $smile);
				}
				else
				{
					$pos = strpos($file[$i], ']');
					$group = substr($file[$i], 1, $pos - 1);
					($group == "hidden") ? $group = '#^hidden' : $group = '#' . $group;
					$group .= "\r\n";
					fwrite($sm_paths, $group);
					fwrite($sm_symbs, $group);
				}
			}
		}
		fclose($sm_paths);
		fclose($sm_symbs);
		
		return true;
	}

	return false;
}


?>