<?php
/**
*
* @package WebCHAT
* @version $Id: index.php 1 2010-12-15 11:04:54 NeoSonic
* @copyright (c) NeoSonic
*
*/

/**
* @ignore
*/

define('IN_WEBCHAT', true);
//define('DEBUG', true);
$root_path = (defined('ROOT_PATH')) ? ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$user->setup();
page_header();

$web_root_path = (isset($config['script_path'])) ? $config['script_path'] : '/';

$channel = request_var($config['cookie_name'] . "_channel","main",false,true);
$actions = request_var("actions","");

// User logged in?
if(!$user->data['is_registered'])
{
	// Login box...
	login_box('', $user->lang['LOGIN']);
}

if ($actions == "logout")
{
	if ( $user->data['user_id'] != ANONYMOUS && isset($_GET['sid']) && !is_array($_GET['sid']) && $_GET['sid'] === $user->session_id )
	{
		$user->session_kill();
		$user->session_begin();
		login_box('', $user->lang['LOGIN']);
	}
}

if (! $debug = request_var($config['cookie_name'] . "_debug_mode",false,false,true) )
{
	$debug = request_var("debug_mode",false);
}
if ($debug)
{
	$cookie_expire = $user->time_now + 1800;
	$user->set_cookie('debug_mode', true, $cookie_expire);
	define('DEBUG', true);
}

$debug_message['GET'] = $_GET;
$debug_message['POST'] = $_POST;
$debug_message['FILES'] = $_FILES;

$sql = "SELECT * FROM ".USERS_ONLINE_TABLE;
$result = $db->sql_query($sql);
while ($row = $db->sql_fetchrow($result))
{
	$debug_message['log'][] = $row;
	$template->assign_block_vars("users",array(
		"ID"		=> $row['id'],
		"USERNAME"	=> $row['nick'],
		"IP"		=> $row['ip'],
		"MALE"		=> $row['male'],
		"S_MALE"	=> $row['male'] ? 'woman' : 'man',
		"STATE"		=> $row['state'],
	));
}

$sql = "SELECT * FROM ". CHANNELS_TABLE ." ORDER BY id ASC";
$result = $db->sql_query($sql);
while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars("channel",array(
		"NAME"		=> $row['name'],
		"ID"		=> $row['id'],
	));
	if ($row['name'] == $channel) $template->assign_var("S_CHANNEL_TOPIC", $row['topic']);
}

$sql = "SELECT a.nick, a.male, a.variable, a.datetime, a.type
		FROM ". ACTIONS_TABLE ." a 
		WHERE a.channel = '$channel' OR a.channel = ''
		ORDER BY a.datetime, a.id ASC";
$result = $db->sql_query($sql);
while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars("message",array(
		"BODY"		=> format_message($row,$config['bot_nick']),
		//"TIME"		=> $row['id'],
	));
}

if ($user->data['auth_state'] == 0 || $user->data['auth_state'] > 3)
{
	$state_image = "error";
}
else if ($user->data['auth_state'] == 2)
{
	$state_image = "wait";
}
else
{
	$state_image = "ok";
}

$smilies_list = load_smilies_list();
$width = 75/sizeof($smilies_list);
foreach ($smilies_list as $v)
{
	$template->assign_block_vars("smile_list",array(
			"NAME"			=> $v['NAME'],
			"ID"			=> $v['ID'],
			"WIDTH"			=> $width,
			"smile"			=> is_array($v['smile']) ? $v['smile'] : array(),
	));
}

//$debug_message["USER"] = $user;

// Assign index specific vars
$template->assign_vars(array(

	'S_USERNAME'		=> $user->data['nick'],
	'S_STATE'			=> $user->lang(array("AUTH_STATE",$user->data['auth_state'])),
	'S_STATE_IMAGE'		=> $state_image,
	'STATE'				=> $user->data['auth_state'],

	'TIME'			=> time(),
	'CHANNEL'		=> $channel,

	'CAN_SEND'		=> true,

	'PHPEX'			=> $phpEx,
	'SID'			=> $user->session_id,
));

$debug_message["TEMPLATE_DATA"] = $template->_tpldata;

$template->set_filenames(array(
	'body' => 'index_body.html')
);

// Output page
page_footer();

?>
