<?php
/**
*
* common [Russian]
*
* @package language
* @version $Id: common.php 1 2011-07-3 11:13:32Z NeoSonic $
* @copyright (c) 2011 NeoSonic
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_WEBCHAT'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'DIRECTION'			=> 'ltr',
	'DATE_FORMAT'		=> '|d.m.Y|',	// 01 Jan 2007 (with Relative days enabled)
	'USER_LANG'			=> 'ru-ru',
	
	'LEAVED_CHAT'		=> array("%s покинул чат", "%s покинула чат"),
	'JOINED_CHAT'		=> array("В чат вошел %s", "В чат вошла %s"),
	'JOINED_CANNEL'		=> array("%s подключился к каналу", "%s подключилась"),
	'LEAVED_CANNEL'		=> array("%s покинул канал", "%s покинула канал"),
	'CHANGE_STATE'		=> array("%s: сменил свой статус на \"%s\"", "%s: сменила свой статус на \"%s\""),
	'CLEAN_STATE'		=> array("%s вернулся в обычное состояние", "%s вернулась в обычное состояние"),
	'CHANGE_SEX'		=> array("%s теперь девушка", "%s теперь парень"),
	'CHANGE_TOPIC'		=> array("%s сменил тему на \"%s\"", "%s сменила тему на \"%s\""),
	'CLEAR_TOPIC'		=> array("%s очистил тему", "%s очистила тему"),
	
	'LINK_TITLE'		=> "Открыть ссылку в новом окне",

	'SEND'				=> "Отправить",
	'SEND_SHORTKEY'		=> "(CTRL+Enter)",

	'AUTH_STATE'		=> array(
			'Незарегестрирован',
			'В чате',
			'Ожидание авторизации...',
			'Не выполнен вход на сайт',
			'Too much users online',
			'Ник не соответствует правилам',
			'Забанен',
			'Nick includes bad words',
			'Ник занят',
			'Ограничение пользователей с одного IP',
			'Запрос на активацию отправленн',
			'Неверный пароль',
			'Активация отклонена или еще не подтверждена',
	),

	'CONNECTION_STATE'	 => array(
			"",
			"Соединение с сервером не стабильно, могут быть задержки.",
			"Отсутствует соединение с сервером. Работаем в веб-режиме.",
	),

	'EXIT'				=> "Выход",

	'1_DAY'			=> '1 день',
	'1_MONTH'		=> '1 месяц',
	'1_YEAR'		=> '1 год',
	'2_WEEKS'		=> '2 недели',
	'3_MONTHS'		=> '3 месяца',
	'6_MONTHS'		=> '6 месяцев',
	'7_DAYS'		=> '7 дней',

	'YEAR'				=> 'Год',
	'YEAR_MONTH_DAY'	=> '(ГГГГ-ММ-ДД)',
	'YES'				=> 'Да',
	'YIM'				=> 'YIM',
	'YOU_LAST_VISIT'	=> 'Предыдущее посещение: %s',
	'YOU_NEW_PM'		=> 'Вам пришло новое личное сообщение.',
	'YOU_NEW_PMS'		=> 'Вам пришли новые личные сообщения.',
	'YOU_NO_NEW_PM'		=> 'У вас нет новых личных сообщений.',

	'datetime'			=> array(
		'TODAY'		=> 'Сегодня',
		'TOMORROW'	=> 'Завтра',
		'YESTERDAY'	=> 'Вчера',

		'AGO'		=> array(
			0		=> 'менее минуты назад',
			1		=> '%d минуту назад',
			2		=> '%d минуты назад',
			5		=> '%d минут назад',
			21		=> '%d минуту назад',
			22		=> '%d минуты назад',
			25		=> '%d минут назад',
			31		=> '%d минуту назад',
			32		=> '%d минуты назад',
			35		=> '%d минут назад',
			41		=> '%d минуту назад',
			42		=> '%d минуты назад',
			45		=> '%d минут назад',
			51		=> '%d минуту назад',
			52		=> '%d минуты назад',
			55		=> '%d минут назад',
			60		=> '1 час назад',
		),

		'Sunday'	=> 'Воскресенье',
		'Monday'	=> 'Понедельник',
		'Tuesday'	=> 'Вторник',
		'Wednesday'	=> 'Среда',
		'Thursday'	=> 'Четверг',
		'Friday'	=> 'Пятница',
		'Saturday'	=> 'Суббота',

		'Sun'		=> 'Вс',
		'Mon'		=> 'Пн',
		'Tue'		=> 'Вт',
		'Wed'		=> 'Ср',
		'Thu'		=> 'Чт',
		'Fri'		=> 'Пт',
		'Sat'		=> 'Сб',

		'January'	=> 'Январь',
		'February'	=> 'Февраль',
		'March'		=> 'Март',
		'April'		=> 'Апрель',
		'May'		=> 'Май',
		'June'		=> 'Июнь',
		'July'		=> 'Июль',
		'August'	=> 'Август',
		'September'	=> 'Сентябрь',
		'October'	=> 'Октябрь',
		'November'	=> 'Ноябрь',
		'December'	=> 'Декабрь',

		'Jan'		=> 'янв',
		'Feb'		=> 'фев',
		'Mar'		=> 'мар',
		'Apr'		=> 'апр',
		'May_short'	=> 'май',	// Short representation of "May". May_short used because in English the short and long date are the same for May.
		'Jun'		=> 'июн',
		'Jul'		=> 'июл',
		'Aug'		=> 'авг',
		'Sep'		=> 'сен',
		'Oct'		=> 'окт',
		'Nov'		=> 'ноя',
		'Dec'		=> 'дек',
	),

	'tz'				=> array(
		'-12'	=> 'UTC - 12 часов',
		'-11'	=> 'UTC - 11 часов',
		'-10'	=> 'UTC - 10 часов',
		'-9.5'	=> 'UTC - 9:30 часов',
		'-9'	=> 'UTC - 9 часов',
		'-8'	=> 'UTC - 8 часов',
		'-7'	=> 'UTC - 7 часов',
		'-6'	=> 'UTC - 6 часов',
		'-5'	=> 'UTC - 5 часов',
		'-4.5'	=> 'UTC - 4:30 часа',
		'-4'	=> 'UTC - 4 часа',
		'-3.5'	=> 'UTC - 3:30 часа',
		'-3'	=> 'UTC - 3 часа',
		'-2'	=> 'UTC - 2 часа',
		'-1'	=> 'UTC - 1 час',
		'0'		=> 'UTC',
		'1'		=> 'UTC + 1 час',
		'2'		=> 'UTC + 2 часа',
		'3'		=> 'UTC + 3 часа',
		'3.5'	=> 'UTC + 3:30 часа',
		'4'		=> 'UTC + 4 часа',
		'4.5'	=> 'UTC + 4:30 часа',
		'5'		=> 'UTC + 5 часов',
		'5.5'	=> 'UTC + 5:30 часов',
		'5.75'	=> 'UTC + 5:45 часов',
		'6'		=> 'UTC + 6 часов',
		'6.5'	=> 'UTC + 6:30 часов',
		'7'		=> 'UTC + 7 часов',
		'8'		=> 'UTC + 8 часов',
		'8.75'	=> 'UTC + 8:45 часов',
		'9'		=> 'UTC + 9 часов',
		'9.5'	=> 'UTC + 9:30 часов',
		'10'	=> 'UTC + 10 часов',
		'10.5'	=> 'UTC + 10:30 часов',
		'11'	=> 'UTC + 11 часов',
		'11.5'	=> 'UTC + 11:30 часов',
		'12'	=> 'UTC + 12 часов',
		'12.75'	=> 'UTC + 12:45 часов',
		'13'	=> 'UTC + 13 часов',
		'14'	=> 'UTC + 14 часов',
		'dst'	=> '[ Летнее время ]',
	),

	'tz_zones'	=> array(
		'-12'	=> '[UTC - 12] Меридиан смены дат (запад)',
		'-11'	=> '[UTC - 11] о. Мидуэй, Самоа',
		'-10'	=> '[UTC - 10] Гавайи',
		'-9.5'	=> '[UTC - 9:30] Маркизские острова',
		'-9'	=> '[UTC - 9] Аляска',
		'-8'	=> '[UTC - 8] Тихоокеанское время (США и Канада) и Тихуана',
		'-7'	=> '[UTC - 7] Аризона',
		'-6'	=> '[UTC - 6] Мехико, Центральная Америка, Центральное время (США и Канада)',
		'-5'	=> '[UTC - 5] Индиана (восток), Восточное время (США и Канада)',
		'-4.5'	=> '[UTC - 4:30] Венесуэла',
		'-4'	=> '[UTC - 4] Каракас, Сантьяго, Атлантическое время (Канада)',
		'-3.5'	=> '[UTC - 3:30] Ньюфаундленд',
		'-3'	=> '[UTC - 3] Бразилия, Гренландия',
		'-2'	=> '[UTC - 2] Среднеатлантическое время',
		'-1'	=> '[UTC - 1] Азорские острова, острова Зеленого мыса',
		'0'		=> '[UTC] Время по Гринвичу: Дублин, Лондон, Лиссабон, Эдинбург',
		'1'		=> '[UTC + 1] Берлин, Мадрид, Париж, Рим, Западная Центральная Африка',
		'2'		=> '[UTC + 2] Афины, Вильнюс, Киев, Минск, Рига, Таллин, Центральная Африка',
		'3'		=> '[UTC + 3] Волгоград, Москва, Санкт-Петербург',
		'3.5'	=> '[UTC + 3:30] Тегеран',
		'4'		=> '[UTC + 4] Баку, Ереван, Самара, Тбилиси',
		'4.5'	=> '[UTC + 4:30] Кабул',
		'5'		=> '[UTC + 5] Екатеринбург, Исламабад, Карачи, Оренбург, Ташкент',
		'5.5'	=> '[UTC + 5:30] Бомбей, Калькутта, Мадрас, Нью-Дели',
		'5.75'	=> '[UTC + 5:45] Катманду',
		'6'		=> '[UTC + 6] Алматы, Астана, Новосибирск, Омск',
		'6.5'	=> '[UTC + 6:30] Рангун',
		'7'		=> '[UTC + 7] Бангкок, Красноярск',
		'8'		=> '[UTC + 8] Гонконг, Иркутск, Пекин, Сингапур',
		'8.75'	=> '[UTC + 8:45] Юго-восточная Западная Австралия',
		'9'		=> '[UTC + 9] Токио, Сеул, Чита, Якутск',
		'9.5'	=> '[UTC + 9:30] Дарвин',
		'10'	=> '[UTC + 10] Владивосток, Канберра, Мельбурн, Сидней',
		'10.5'	=> '[UTC + 10:30] Лорд-Хау',
		'11'	=> '[UTC + 11] Магадан, Сахалин, Соломоновы о-ва',
		'11.5'	=> '[UTC + 11:30] Остров Норфолк',
		'12'	=> '[UTC + 12] Камчатка, Новая Зеландия, Фиджи',
		'12.75'	=> '[UTC + 12:45] Острова Чатем',
		'13'	=> '[UTC + 13] Острова Феникс, Тонга',
		'14'	=> '[UTC + 14] Остров Лайн',
	),

	// The value is only an example and will get replaced by the current time on view
	'dateformats'	=> array(
		'd M Y, H:i'			=> '10 янв 2005, 17:57',
		'd M Y H:i'				=> '10 янв 2005 17:57',
		'M jS, \'y, H:i'		=> 'Янв 1, \'07, 13:37',
		'D M d, Y g:i a'		=> 'Пн янв 10, 2005 5:57 pm',
		'F jS, Y, g:i a'		=> 'Январь 1, 2007, 1:37 pm',
		'|d M Y|, H:i'			=> 'Сегодня, 13:37 / 01 Янв 2007, 13:37',
		'|F jS, Y|, g:i a'		=> 'Сегодня, 1:37 pm / Январь 1, 2007, 1:37 pm'
	),

	// The default dateformat which will be used on new installs in this language
	// Translators should change this if a the usual date format is different
	'default_dateformat'	=>'|d M Y|, H:i', // Сегодня, 13:37 / 01 Янв 2007, 13:37
));

?>
