// $Id$

var soundEmbed = null;
var is_notif_needed = true;
var autohide = true;
var xhr = null;
var last_active_sm_list;
var connection_state = 0;

function play_notif()
{
    if (soundEmbed) {
        document.body.removeChild(soundEmbed);
        soundEmbed.removed = true;
        soundEmbed = null;
    }
	soundEmbed = document.createElement("embed");
    soundEmbed.setAttribute("src", "/sounds/new_mess.mp3");
	soundEmbed.setAttribute("hidden", true);
	soundEmbed.setAttribute("autostart", true);
    soundEmbed.removed = false;
    document.body.appendChild(soundEmbed);
}

function load_messages() {
	xhr = $.ajax({ 
		type: "POST",
		url : 'ajax.php',
		async: true,
		cache: false,
		data: ({ action: "update", last_msg_time: $("#last_msg_time").attr("value"), channel: $('#channel').attr("value"), connection_state_v: connection_state}),
		error: function(data) {
			setTimeout('load_messages()',  5000); 
		}, 
		success: function(data) {
			var response = jQuery.parseJSON(data);
			if (response.error != undefined)
			{
				alert(dump(response.error));
				return false;
			}
			var result = response.result;
			$("#last_msg_time").attr("value", result.last_msg_time);

			if (connection_state != result.connection_state && result.connection_state != undefined) {
				var text = '', color;
				switch (result.connection_state) {
					case 1:
						css_class = 'unstable_conn';
					break;
					case 2:
						css_class = 'unactive_conn';
					break;
				}

				if (result.connection_state_s)
				{
					$('.connection_state > div').html(result.connection_state_s).addClass(css_class).fadeIn(2000);
				}
				else
				{
					$('.connection_state > div').fadeOut(2000).removeClass('unstable_conn unactive_conn');
				}
				
				connection_state = result.connection_state;
			}
			
			if (result.messages_array) {	
				for (var mess in result.messages_array)
					$(result.messages_array[mess]).appendTo($('#messages_list')).fadeIn(2000);
				if (is_notif_needed)
					play_notif();
				setTimeout("$('#messages_list').scrollTop($('#messages_list')[0].scrollHeight)", 10);
			}
			
			if (result.user_auth != undefined && result.user_auth_state != undefined)
			{
				var image, tip;
				var alt = "Статус";

				tip = result.user_auth_state;
	  
				if (result.user_auth == 0 || result.user_auth > 3)
					image = "./style/images/stat_error.png";
				else if (result.user_auth == 2)
					image = "./style/images/stat_wait.png";
				else
				{
					image = "./style/images/stat_ok.png";
					//alt = Drupal.t('Already in chat');
					//tip = Drupal.t('Click to change state');
				}

				$("#state").attr("value", result.user_auth);

				$(".state img").attr("alt", alt);
				$(".state img").attr("title", alt);
				$(".state img").attr("src", image);
	  
				if ($(".state span").html() != tip)
					$(".state span").html(tip);
			}
			
			if (result.actions_array)
				do_actions(result.actions_array);
				
			setTimeout('load_messages()',  1000);
	}
  });	
}

function do_actions(actions_array) {
	for (var action in actions_array) {
		var i, nick;
		switch (actions_array[action].type) {
			case "2": case "5":
				$(".users div.user_block").each(function(index, e) {
					if ($("a", e).html() == actions_array[action].nick) {
						$(e).remove();
						return false;
					}
				})
				break;
			case "4":
				i = 0;
				nick = $(".users div").eq(i).children("a").html();
				var is_added = false;
					
				var form_nick = '<div class="user_block' + ((actions_array[action].male == 1) ? ' woman' : ' man') + '">' +
								'<a class="nick_paste" onclick="insert_nick(\'' + actions_array[action].nick + '\')" >' + actions_array[action].nick + '</a>' + 
								'</div>';
									
				while (nick && !is_added) {
					if (is_nick_higher(nick, actions_array[action].nick)) {
						$(".users div").eq(i).before(form_nick);
						is_added = true;	
					}
					else {
						i++;
						nick = $(".users div.user_block").eq(i).children("a").html();
					}
				};
				if (!is_added)
					$(".userss").append(form_nick);
				break;
			case "8":
	    		$(".channel_topic").html(actions_array[action].variable);
				break;
		}	
	}
}

function is_nick_higher(current_nick, new_nick) {
	var i = 0;
	var is_higher = false;
	var nn_len = new_nick.length;
	
	//if current_nick[i] == null (current_nick smaller then new_nick) then new_nick will be above current_nick
	while (i < nn_len && current_nick[i] != null) {
		var cur_nn_sym = new_nick[i].toLowerCase();
		var cur_cn_sym = current_nick[i].toLowerCase();
		
		//if (current_nick[i] == "Т")
			//alert(cur_cn_sym);
		if (cur_nn_sym != cur_cn_sym) {
			//alert("cur_nn_sym != cur_cn_sym");
			if (cur_nn_sym > cur_cn_sym) 
				is_higher = false;
			else if (cur_nn_sym < cur_cn_sym)
				is_higher = true;
			break;
		}
		i++;
	}

	return is_higher;
}

function notif_changed() {
	if ($("#notif_sound").attr("checked") == true)
		  is_notif_needed = true;
    else is_notif_needed = false;
	setcookie("notification", is_notif_needed);
}

function autohide_changed() {
	if ($("#autohide").attr("checked") == true)
		  autohide = true;
    else autohide = false;
	setcookie("autohide", autohide);
}

function ctrlEnter(event, formElem) {
  if((event.ctrlKey) && ((event.keyCode == 0xA)||(event.keyCode == 0xD)))
  {
    document.getElementById('send').click();
  }
}

function setcookie(name, value) {
	// Set "Expires" time to one week.
	var expires = new Date();
	expires.setTime(expires.getTime() + (1000 * 21600 * 24 * 7));
	document.cookie = name + "=" + value + ";" + 
					  "expires=" + expires.toGMTString() + ";";
}

function reload_channel() {
  xhr.abort();
  setcookie("channel", encodeURIComponent($('#channel :selected').text()));
  window.location.reload();
}

function insert_nick(obj)
{
	var nick = obj.innerHTML + '> ';
	$('#message').val($('#message').val() + nick);
	$('#message').focus();
}

function insert_smile(obj)
{
	$('#message').val($('#message').val() + obj.title); 
	$('#message').focus();  
}

function open_sm_tab(id) {
  if (last_active_sm_list != undefined) {
	$("#smilies_block div:eq(" + last_active_sm_list + ")").css("display", "none");
	$("#smilies_block p span:eq(" + last_active_sm_list + ")").css("border-bottom", "none");
  }
  if (last_active_sm_list != id) {
    $("#smilies_block div:eq(" + id + ")").css("display", "block");
	$("#smilies_block p span:eq(" + id + ")").css("border-bottom", "1px solid #AFAFAF");
	last_active_sm_list = id;
  }
  else last_active_sm_list = null; 
}

function send_report(id) {
	$(".send_state_text").css({color: "#F00000"});
	switch (id) {
		case 0: 
			$(".send_state_text").html('You write nothing! Please fill text line');
			break;
		case 1: 
			$(".send_state_text").html('Your message succesfully sended');
			$(".send_state_text").css({color: "#00D627"});
			break;
		case 2: 
			$(".send_state_text").html('The size of the text line must be less then 40000 symbols');
			break;
	}	
	$("#message").val('');
	$(".send_state_text").fadeIn(2000).fadeOut(2000);
}

function change_smile_tab(id) {
// 	$(".smile_tab").css("opacity",0);
// 	$("#tab_"+id).css("opacity",100);
	$(".smile_tab:visible").hide();
	$("#tab_"+id).show();
}

$(document).ready(function()
{  
  	if ($("#notif_sound").attr("checked") == false)
		  is_notif_needed = false;
	if ($("#autohide").attr("checked") == false)
		  autohide = false;
  
  $("#send").click(function() {
    var id;
	if ($('#message').val().trim() == "")
		id = 0;
	else if ($('#message').val().length > 40000)
		id = 2;
	if (id != undefined)
		send_report(id);
	else {
		$("#send").attr('disabled', 'disabled');
		$("#message").attr('disabled', 'disabled');
		$.post('ajax.php', { action: 'message_add', body: $("#message").val(), channel: $('#channel').attr("value"), connection_state_v: connection_state}, function(data) {
			var response = jQuery.parseJSON(data);
			if (response.error == undefined)
			{
				send_report(response.result.answer);
			}
			else
			{
				alert(dump(response));
			}
			$("#send").attr('disabled', false);
			$("#message").attr('disabled', false);
		});
	}
  });
  
  $(".settings_but").click(function() {
	if ($("#settings_block").css("display") != "none")
		$("#settings_block").css("display", "none");
	else $("#settings_block").css("display", "block");
  });
  
  $(".clear_but").click(function() {
	var e_count = $("#messages_list > div").size();
	if (e_count > 10) {
		e_count -= 11;
		for (var i = 0; i <= e_count; i++) {
			$("#messages_list div:first").remove();
		}
	}
  });

  $(".state").click(function() {
		var state = $("#state").attr("value");
		switch (state)
		{
			case 10:
				
			break;
	  }
  });
  
  setTimeout('load_messages()',  1000);

  // jQuery plugin: hoverIntent
  (function($){$.fn.hoverIntent=function(f,g){var c={sensitivity:7,interval:100,timeout:0};c=$.extend(c,g?{over:f,out:g}:f);var d,cY,pX,pY;var h=function(a){d=a.pageX;cY=a.pageY};var i=function(a,b){b.hoverIntent_t=clearTimeout(b.hoverIntent_t);if((Math.abs(pX-d)+Math.abs(pY-cY))<c.sensitivity){$(b).unbind("mousemove",h);b.hoverIntent_s=1;return c.over.apply(b,[a])}else{pX=d;pY=cY;b.hoverIntent_t=setTimeout(function(){i(a,b)},c.interval)}};var j=function(a,b){b.hoverIntent_t=clearTimeout(b.hoverIntent_t);b.hoverIntent_s=0;return c.out.apply(b,[a])};var k=function(e){var p=(e.type=="mouseover"?e.fromElement:e.toElement)||e.relatedTarget;while(p&&p!=this){try{p=p.parentNode}catch(e){p=this}}if(p==this){return false}var a=jQuery.extend({},e);var b=this;if(b.hoverIntent_t){b.hoverIntent_t=clearTimeout(b.hoverIntent_t)}if(e.type=="mouseover"){pX=a.pageX;pY=a.pageY;$(b).bind("mousemove",h);if(b.hoverIntent_s!=1){b.hoverIntent_t=setTimeout(function(){i(a,b)},c.interval)}}else{$(b).unbind("mousemove",h);if(b.hoverIntent_s==1){b.hoverIntent_t=setTimeout(function(){j(a,b)},c.timeout)}}};return this.mouseover(k).mouseout(k)}})(jQuery);
  
  // tabManager.js
	$("div.navtab").hoverIntent({
		over:function(){
				var h=$(this).children(".subnavwrap").height()+40;
				var w=$(this).children(".subnavwrap").width()-20;
				$(this).children(".subnavwrap").css({'margin-top':"-"+h+"px", 'margin-left':"-"+w+"px", left:"0px"});
		},
		out:function(){
			$(this).children(".subnavwrap").css({left:"-3000px"});
			
		},
		timeout:1000
	});
	$("div.navtab").click(function(){
		var h=$(this).children(".subnavwrap").height()+40;
		var w=$(this).children(".subnavwrap").width()-20;
		$(this).children(".subnavwrap").css({'margin-top':"-"+h+"px", 'margin-left':"-"+w+"px", left:"0px"});
	});

});

